org.apache.poi.xddf.usermodel

## Class XDDFColorSchemeBased

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFColor
  - - org.apache.poi.xddf.usermodel.XDDFColorSchemeBased

-     @Beta
      public class XDDFColorSchemeBased
      extends XDDFColor

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xddf.usermodel.XDDFColor

      `container`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFColorSchemeBased(org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor color)`
    `protected` | `XDDFColorSchemeBased(org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor color, org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)`
    `` | `XDDFColorSchemeBased(SchemeColor color)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemeColor` | `getValue()`
    `protected org.apache.xmlbeans.XmlObject` | `getXmlObject()`
    `void` | `setValue(SchemeColor scheme)`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.XDDFColor

      `forColorContainer, from, from, from, from, from, getColorContainer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFColorSchemeBased

          public XDDFColorSchemeBased(SchemeColor color)

    - #### XDDFColorSchemeBased

          @Internal
          protected XDDFColorSchemeBased(org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor color)

    - #### XDDFColorSchemeBased

          @Internal
          protected XDDFColorSchemeBased(org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor color,
                                                   org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.apache.xmlbeans.XmlObject getXmlObject()

      Specified by:
        `getXmlObject` in class `XDDFColor`

    - #### getValue

          public SchemeColor getValue()

    - #### setValue

          public void setValue(SchemeColor scheme)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.